<header class="post-header">
  {{ $readTime := mul (div (countwords .Content) 220.0) 60 }} {{ $minutes := int
  (div $readTime 60) }} {{ $seconds := int $readTime }}
  <div style="display: flex; justify-content: space-between">
    <div style="display: flex">
      <div>
        {{ if .Params.icon }}
        <div class="image"></div>
        {{ if (hasPrefix .Params.icon "https://") }}
        <img src="{{ .Params.icon }}" alt="" class="postIcon" />
        {{ else }} {{/* Always resize image to double the displayed size (for
        higher-res displays) */}} {{ $image := (resources.Get
        .Params.icon).Resize "120x120 webp" }}
        <img src="{{ $image.RelPermalink }}" alt="" class="postIcon" />
        {{ end }} {{ end }}
      </div>
      <div>
        <div
          id="breadcrumbs"
          class="entry-meta"
          style="font-style: normal; font-size: 16px"
        >
          <a href="/">Home</a>

          {{ $url := "" }} {{ range (split .RelPermalink "/") }} {{ if gt (len .
          ) 0 }} {{ $url = "/" | add . | add $url }} /
          <a href="/{{ $url }}">{{ humanize (replace . "posts" "blog") }}</a>
          {{ end }} {{ end }}
        </div>

        {{ if .Params.titleIcon }}
        <h1>
          {{ .Title }}
          <span style="margin-left: 0.35em; display: flex">
            {{ partial "svg.html" .Params.titleIcon }}
          </span>
        </h1>
        {{ else }}
        <h1>
          {{ .Title }}
          <span style="margin-left: 0.35em; display: flex">
            {{/* {{ partial "svg.html" "archive" }} */}}
          </span>
        </h1>
        {{ end }}
      </div>
    </div>

    <div style="display: flex">
      <div style="font-size: 2em">
        {{ if .Params.gitlab }}
        <a
          href="{{ .Params.gitlab }}"
          title="View code on gitlab"
          target="_blank"
          class="single_actions"
        >
          {{ partial "svg.html" "gitlab" }}
        </a>
        {{ end }} {{ if .Params.demo }}
        <a
          href="{{ .Params.demo }}"
          title="Open app online"
          target="_blank"
          class="single_actions"
        >
          {{ partial "svg.html" "open" }}
        </a>
        {{ end }}
      </div>

      <div style="margin-left: 1em">
        <div style="display: flex; align-items: center">
          {{ partial "svg.html" "calendar" }}
          <span style="margin-left: 0.25em">
            {{ .Date.Format .Site.Params.dateform }}
          </span>
        </div>
        <div style="display: flex; align-items: center">
          {{ partial "svg.html" "timer" }}
          <span style="margin-left: 0.25em">
            {{ if (eq $minutes 0) }} {{ $seconds }} {{ cond (eq $seconds 1)
            "second" "seconds" }} {{ else }} {{ $minutes }} {{ cond (eq $minutes
            1) "minute" "minutes" }} {{ end }}
          </span>
        </div>
      </div>
    </div>
  </div>
</header>
